/*
 *                   Uwe Berger; 2010
 *                  =================
 * Einige Defines, die hauptsaechlich den uBasic-Sprachumfang und die Zielplattform steuern.
 *
 * In der Regel bedeutet:
 * 0 --> nicht vorhanden/abgeschaltet
 * 1 --> vorhanden/angeschaltet
 *
 */
#ifndef __UBASIC_CONFIG_H__
#define __UBASIC_CONFIG_H__

// exit(1) in Fehlersituationen macht sich bei AVRs etwas schlecht...
#define BREAK_NOT_EXIT	1


// AVR-spezifischen Befehle an-/abwaehlen
#define AVR_WAIT	1
#define AVR_EPEEK	1
#define AVR_EPOKE	1
#define AVR_DIR		1
#define AVR_IN		1
#define AVR_OUT		1
#define AVR_ADC		1	// noch nicht vollstaendig implementiert

// AVR-Ports fuer Basic-Befehle dir, in, out
#define HAVE_PORTA	0
#define HAVE_PORTB	1
#define HAVE_PORTC	1
#define HAVE_PORTD	1

// Anzahl der ADC-Eingaenge (0...ACD_COUNT_MAX)
#define ADC_COUNT_MAX	4


#endif /* __UBASIC_CONFIG_H__ */
